Author Topic: Is CB SVN version + SuSE 10.0 possible?  (Read 3240 times)

Offline ASJ

  • Multiple posting newcomer
  • *
  • Posts: 46
Is CB SVN version + SuSE 10.0 possible?
« on: February 10, 2006, 01:59:54 am »
Did anyone succeed in compiling a recent svn version of Code::Blocks on a SuSE 10.0 system?
The binary from november 14th 2005 is pretty unstable so I wanted to compile a more recent version with probably many improvements.
However, after struggling for about a week I do not know any option anymore that I did not try. There is a nice tutorial on how to build CB from svn also for a general linux distro. Following this everything goes pretty smoothly untill somewhere during the make.

Did anyone out there succeed in compiling a recent svn version? If so please tell me how it should be done!

Offline heromyth

  • Multiple posting newcomer
  • *
  • Posts: 98
    • http://
Re: Is CB SVN version + SuSE 10.0 possible?
« Reply #1 on: February 10, 2006, 02:12:24 am »
A few days ago, I successfully compiled CB under FreeBSD 6.0.  I know a bug that the compiling can be affected by the old library of the installed CB. So before compiling it, it is better deleting the library. I have a patch that hasn't been submitted. Sorry for that.

Hope this is helpful for you.

Offline yop

  • Regular
  • ***
  • Posts: 387
Re: Is CB SVN version + SuSE 10.0 possible?
« Reply #2 on: February 10, 2006, 08:35:25 am »
Did anyone out there succeed in compiling a recent svn version? If so please tell me how it should be done!
Yes, in Suse 9.3. I just updated to latest svn, bootstraped, maked and installed. Since then (about a week ago) I'm using the unix project file to build using codeblocks.
Life would be so much easier if we could just look at the source code.

Offline ASJ

  • Multiple posting newcomer
  • *
  • Posts: 46
Re: Is CB SVN version + SuSE 10.0 possible?
« Reply #3 on: February 10, 2006, 11:17:51 am »
A few days ago, I successfully compiled CB under FreeBSD 6.0.  I know a bug that the compiling can be affected by the old library of the installed CB. So before compiling it, it is better deleting the library. I have a patch that hasn't been submitted. Sorry for that.

Hope this is helpful for you.

I assume "the library" is the wxwidgets library ? I think I already tried this...but I'll try it again just to be sure

Offline ASJ

  • Multiple posting newcomer
  • *
  • Posts: 46
Re: Is CB SVN version + SuSE 10.0 possible?
« Reply #4 on: February 10, 2006, 11:19:51 am »
Did anyone out there succeed in compiling a recent svn version? If so please tell me how it should be done!
Yes, in Suse 9.3. I just updated to latest svn, bootstraped, maked and installed. Since then (about a week ago) I'm using the unix project file to build using codeblocks.

You did not get errors like missing zip files and/or problems that stuff could not be found although it was created and/or present?